package com.tiptimes.ctrl;

/**
 * 问卷表、选线表名称枚举
 **/
public enum QuestionEnum {

    BASIC_INFORMATION("基本信息"),
        SPACE_NAME("众创空间名称"),
        AFFILIATED_UNIVERSITY("所属高校"),
        PERSON_NAME("填报人姓名"),
        CONTACT_NUMBER("联系电话"),

    MAKER_SPACE("众创空间场地情况"),
        SPACE_INNOVATION("众创空间面积"),
        SPACE_NUMBER("众创空间提供工位数"),

    LEASE_VENUE("是否租赁场地"),
        IS_LEASE_VENUE("是否租赁场地"),
        LIVE_PHOTO("每块场地实景照片"),

    FULL_STATUS("众创空间配备专职工作人员情况"),
        FULL_STATUS_NAME("姓名"),
        FULL_STATUS_OFFICE("所在处室"),
        FULL_STATUS_DEPARTMENT("所在科室"),
        FULL_STATUS_POSITION("职务"),
        FULL_STATUS_PHONE("联系方式"),
        FULL_STATUS_JOB("是否专职"),

    OPERATION_SITUATION("关于众创空间运营情况的说明"),
        FULL_STATUS_DESCRIPTION("关于众创空间运营情况的相关说明"),


    INCUBATED_ENTERPRISES("入孵企业情况"),
        ENTERPRISES_NAME("企业名称"),
        ENTERPRISES_PROF("是否提交学信网截图或8年以内学历证明"),
        ENTERPRISES_EQUITY("是否提交股权证明"),
        ENTERPRISES_INCUBATION("是否提交入孵协议"),
        ENTERPRISES_NEWLY("是否为本年度新入驻"),

    JOB_CREATION("新增就业情况"),
        JOB_NAME("企业名称"),
        JOB_PERSONNAME("员工姓名"),
        JOB_EVIDENCE("发送社保或三方协议佐证材料"),
        JOB_ADDPOST("是否为本考核期内新增岗位"),

    ENTREPRENEURSHIP_COURSES("开设创新创业课程情况"),
        ENTREPRENEURSHIP_NAME("课程名称"),
        ENTREPRENEURSHIP_TEACHER("任课老师"),
        ENTREPRENEURSHIP_HOURS("学时"),
        ENTREPRENEURSHIP_CREDIT("学分"),
        ENTREPRENEURSHIP_SCREENSHOT("是否发送学校教务系统的排课截图或导出文件"),
        ENTREPRENEURSHIP_COURSEWARE("是否发送课程大纲或授课课件"),
        ENTREPRENEURSHIP_INTRODUCE("是否发送教师介绍"),
        ENTREPRENEURSHIP_VIDEO_DISPLAY("是否有视频展示"),
        ENTREPRENEURSHIP_NETWORK_CONNECTION("视频展示网络连接"),
        ENTREPRENEURSHIP_DEMONSTRATION("有意愿参与联盟组织的高校教育示范课评选"),

    ENTREPRENEURSHIP_MENTOR("签约创业导师情况"),
        MENTOR_TNAME("导师姓名"),
        MENTOR_SEX("性别"),
        MENTOR_EDUCATIONAL("学历"),
        MENTOR_PHONE("联系电话"),
        MENTOR_UNIT("单位"),
        MENTOR_POSITION("职务"),
        MENTOR_PROFESSIONA("职称"),
        MENTOR_SIGNING_DATE("签约日期"),
        MENTOR_SIGNING_DURATION("签约时长"),
        MENTOR_TUTORING_CATEGORY("擅长辅导类别"),
        MENTOR_TUTORING_INDUSTRY("擅长辅导行业"),
        MENTOR_INTERNET_COMPETITION("参评国家“互联网+”大赛"),
        MENTOR_PARTICIPATION_YEAR("参评年份"),
        MENTOR_GUIDE_TRACK("指导赛道"),
        MENTOR_SUPPORTING_MATERIAL("是否发送佐证材料"),
        MENTOR_ENTREPRENEURIAL_MENTOR("教育部入库创业导师"),
        MENTOR_SUPPORTING_MATERIAL_ONE("是否发送佐证材料"),

    ENTREPRENEURSHIP_ACTIVITIES("组织双创活动情况"),
        ACTIVITIES_TIME("时间"),
        ACTIVITIES_THEME("主题"),
        ACTIVITIES_ACTIVITY_TYPE("活动类型"),
        ACTIVITIES_ACTIVITY_NEWS("平台中有活动新闻"),
        ACTIVITIES_ACTIVITY_PHOTOT("新闻中含1张以上活动照片"),

    COMPETITION_SITUATION("参赛情况"),
        SITUATION_NAME("赛事名称"),
        SITUATION_UNIT("主办单位"),
        SITUATION_ENTRY_NAME("列举1个参赛项目名称"),

    INNOVATION_ENTREPRENEURSHIP("本年创新创业工作经费（万元）"),
        INNOVATION_APPROPRIATION("本年创新创业工作经费（万元）"),
        INNOVATION_PROOF_PHOTOGRAPH("由财务部门出具的相关证明照片或PDF"),

    MAKER_INFORMATION ("申报成功高校众创空间联盟发布的创新创业研究课题信息"),
        MAKER_SUBJECT_NUMBER("课题编号"),
        MAKER_SUBJECT_NAME ("课题名称"),
        MAKER_SUBJECT_PERSON ("课题负责人姓名"),

    INCUBATED_ENTERPRISE("在孵企业销售收入或累计合同额情况"),
        INCUBATED_NAME("企业名称"),
        INCUBATED_AMOUNT("合同金额"),
        INCUBATED_MATERIAL("是否发送佐证材料"),

    DEBT_FINANCING("本评估周期实现股权或债权融资情况（含股东增资或股东借款）"),
        INCUBATED_FINANCING_NAME("融资企业名称"),
        INCUBATED_FINANCING_AMOUNT("融资金额"),
        INCUBATED_FINANCING_MODE("融资方式"),
        INCUBATED_MATERIAL_ONE("发送佐证材料"),

    WEEK_ACTIVITIES("主办或承办市级及以上级别路演、双创周活动"),
        ACTIVITIES_NAME("活动名称"),
        ACTIVITIES_DEVELOPMENT("活动开展形式"),
        ACTIVITIES_HOST("市级及以上主办单位名称"),

    LISTING_SITUATION("在孵企业在OTC高校板挂牌情况"),
        SITUATION_BATCH("挂牌批次"),
        SITUATION_PROJECT_NAME("项目名称"),

    PROPERTY_RIGHTS("在孵企业新增知识产权（包括专利、软著等）"),
        PROPERTY_NAME("企业名称"),
        PROPERTY_TIME("获得时间"),
        PROPERTY_PROPERTY("获得产权类型"),
        PROPERTY_NYMBER("编号"),
        PROPERTY_SEND("发送佐证材料"),

    AWARD_SITUATION("获得“互联网+”大赛全国赛事奖项情况"),
        AWARD_TRACK("赛道"),
        AWARD_AWARD("获得奖项"),
        AWARD_TEAM("获奖团队"),
        AWARD_PROJECT("获奖项目"),
        AWARD_SEND("发送佐证材料"),

    AWARDS_COMPETITION("获得创客马拉松大赛及市教委组织的其他双创大赛奖项情况"),
        COMPETITION_NAME("赛事名称"),
        COMPETITION_ORGANIZATION("市教委组织赛事"),
        COMPETITION_AWARD("获得奖项"),
        COMPETITION_TEAM("获奖团队"),
        COMPETITION_PROJECT("获奖项目"),
        COMPETITION_SEND("发送佐证材料"),

    TOPSTATUS("入选天津市创业拔尖项目情况"),
        TOPSTATUS_YEAR("入选年份"),
        TOPSTATUS_NAME("项目名称"),
        TOPSTATUS_ITEM("是否结项"),
        TOPSTATUS_EXCELLENT_PROJECT("是否评为结项优秀项目"),

    NATIONAL_RECORD("是否为国家级备案众创空间"),
    BOOLEAN_NATIONAL_RECORD("是否为国家级备案众创空间"),

    NATIONAL_ENTREPRENEURSHIP("是否为国家创业孵化示范基地"),
    BOOLEAN_NATIONAL_ENTREPRENEURSHIP("是否为国家创业孵化示范基地");

    private final String questionCode;

    QuestionEnum(String questionCode){
        this.questionCode = questionCode;
    }

    public String getQuestionCode() {
        return questionCode;
    }
}
